Bug 187375 - "Download Server" directory listings do not include the directory name
"Download Server" directory listings do not include the directory name
Status: NEW
Product: Fedora Infrastructure
Classification: Retired
Component: website (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Websites Team
Elliot Lee
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-30 11:38 EST by Mariano Suárez-Alvarez
Modified: 2012-01-04 16:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mariano Suárez-Alvarez 2006-03-30 11:38:55 EST
Pages like <http://download.fedora.redhat.com/pub/fedora/linux/core/> do not
include the current directory anywhere.

This should be trivially fixable, I guess.
Comment 1 Jesse Keating 2006-03-30 12:01:15 EST
Can you give me an example of what you'd like to see there?
Comment 2 Karsten Wade 2006-03-30 14:02:45 EST
I'm guessing what is meant is something at the top of the directory listing that

"Index of /pub/fedora/linux/core"

I think this is the default for when Apache is permitted to list directory contents.
Comment 3 Jesse Keating 2006-03-30 14:55:34 EST
And whats in the URL bar doesn't count?
Comment 4 Mariano Suárez-Alvarez 2006-03-30 19:33:39 EST
I had in mind something along the lines of what Karsten suggested.

The URL is not enough for various reasons. If you have several windows at
different locations, the URL will not show up in the window manager thingie
listing windows; if you are using a screen reader; you have to wait for the
boring h t t p colon slash slash download dot fedora dot etc before getting the
path (and tab-navigate to the URL, of course); having uninformative <title>s
forces users to edit descriptions on browser bookmarks, and is very unhelpful in
history lists. GNOME (and hence FC) is moving away from implementation details
like pathnames and URLs showing up in UIs, so it is quite inconsistent with
having to look at the URL bar here.

Using generic titles goes against the intent of the <title> element, in fact:
see <http://www.w3.org/TR/html401/struct/global.html#edef-TITLE> (Note this
applies more widely than de download server pages...)
Comment 5 Patrick Barnes 2006-05-23 11:12:54 EDT
With the current template system, I'm not sure that adding the path to the 
title tag is possible.
Comment 6 Ricky Zhou 2009-08-05 12:22:54 EDT
Unfortunately, I don't know of any way to do this while keeping those pages templated.  Which is more important, having the page templated, or having the current directory shown?

Note You need to log in before you can comment on or make changes to this bug.